org.apache.lucene.queries.function.docvalues

## Class DoubleDocValues

- java.lang.Object
- - org.apache.lucene.queries.function.FunctionValues
  - - org.apache.lucene.queries.function.docvalues.DoubleDocValues

-     public abstract class DoubleDocValues
      extends FunctionValues

  Abstract `FunctionValues` implementation which supports retrieving double values. Implementations can control how the double values are loaded through `doubleVal(int)`}

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.queries.function.FunctionValues

      `FunctionValues.ValueFiller`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ValueSource` | `vs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoubleDocValues(ValueSource vs)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `boolVal(int doc)`
    `byte` | `byteVal(int doc)`
    `abstract double` | `doubleVal(int doc)`
    `float` | `floatVal(int doc)`
    `ValueSourceScorer` | `getRangeScorer(Weight weight, LeafReaderContext readerContext, String lowerVal, String upperVal, boolean includeLower, boolean includeUpper)` Yields a `Scorer` that matches documents with values between the specified range, and that which produces scores equal to `FunctionValues.floatVal(int)`.
    `FunctionValues.ValueFiller` | `getValueFiller()`
    `int` | `intVal(int doc)`
    `long` | `longVal(int doc)`
    `Object` | `objectVal(int doc)` Native Java Object representation of the value
    `short` | `shortVal(int doc)`
    `String` | `strVal(int doc)`
    `String` | `toString(int doc)`

    - ### Methods inherited from class org.apache.lucene.queries.function.FunctionValues

      `bytesVal, byteVal, doubleVal, exists, explain, floatVal, getScorer, intVal, longVal, numOrd, ordVal, shortVal, strVal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vs

          protected final ValueSource vs

  - ### Constructor Detail

    - #### DoubleDocValues

          public DoubleDocValues(ValueSource vs)

  - ### Method Detail

    - #### byteVal

          public byte byteVal(int doc)
                       throws IOException

      Overrides:
        `byteVal` in class `FunctionValues`
      Throws:
        `IOException`

    - #### shortVal

          public short shortVal(int doc)
                         throws IOException

      Overrides:
        `shortVal` in class `FunctionValues`
      Throws:
        `IOException`

    - #### floatVal

          public float floatVal(int doc)
                         throws IOException

      Overrides:
        `floatVal` in class `FunctionValues`
      Throws:
        `IOException`

    - #### intVal

          public int intVal(int doc)
                     throws IOException

      Overrides:
        `intVal` in class `FunctionValues`
      Throws:
        `IOException`

    - #### longVal

          public long longVal(int doc)
                       throws IOException

      Overrides:
        `longVal` in class `FunctionValues`
      Throws:
        `IOException`

    - #### boolVal

          public boolean boolVal(int doc)
                          throws IOException

      Overrides:
        `boolVal` in class `FunctionValues`
      Throws:
        `IOException`

    - #### doubleVal

          public abstract double doubleVal(int doc)
                                    throws IOException

      Overrides:
        `doubleVal` in class `FunctionValues`
      Throws:
        `IOException`

    - #### strVal

          public String strVal(int doc)
                        throws IOException

      Overrides:
        `strVal` in class `FunctionValues`
      Throws:
        `IOException`

    - #### objectVal

          public Object objectVal(int doc)
                           throws IOException

      Description copied from class: `FunctionValues`
      Native Java Object representation of the value
      Overrides:
        `objectVal` in class `FunctionValues`
      Throws:
        `IOException`

    - #### toString

          public String toString(int doc)
                          throws IOException

      Specified by:
        `toString` in class `FunctionValues`
      Throws:
        `IOException`

    - #### getRangeScorer

          public ValueSourceScorer getRangeScorer(Weight weight,
                                                  LeafReaderContext readerContext,
                                                  String lowerVal,
                                                  String upperVal,
                                                  boolean includeLower,
                                                  boolean includeUpper)

      Description copied from class: `FunctionValues`
      Yields a `Scorer` that matches documents with values between the specified range, and that which produces scores equal to `FunctionValues.floatVal(int)`.
      Overrides:
        `getRangeScorer` in class `FunctionValues`

    - #### getValueFiller

          public FunctionValues.ValueFiller getValueFiller()

      Overrides:
        `getValueFiller` in class `FunctionValues`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.